import { RouterView } from 'vue-router';

export default {
    path: '/role',
    name: 'Role',
    meta: {
        title: 'role',
        icon: 'vn:greuge',
        moduleName: 'Role',
    },
    component: RouterView,
    redirect: { name: 'RoleCard' },
    menus: {
        main: [],
        card: ['RoleBasicData'],
    },
    children: [
        {
            name: 'RoleCard',
            path: ':id',
            component: () => import('src/pages/Account/Role/Card/RoleCard.vue'),
            redirect: { name: 'RoleSummary' },
            children: [
                {
                    name: 'RoleSummary',
                    path: 'summary',
                    meta: {
                        title: 'summary',
                        icon: 'launch',
                    },
                    component: () =>
                        import('src/pages/Account/Role/Card/RoleSummary.vue'),
                },
                {
                    name: 'RoleBasicData',
                    path: 'basic-data',
                    meta: {
                        title: 'basicData',
                        icon: 'vn:settings',
                    },
                    component: () =>
                        import('src/pages/Account/Role/Card/RoleBasicData.vue'),
                },
            ],
        },
    ],
};
